| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEventAttributeIterator Struct Reference
[Event handling]

Event attribute iterator. More...

`#include <iutil/event.h>`

Inheritance diagram for iEventAttributeIterator:

[legend]
List of all members.

## Public Member Functions
virtual bool | HasNext ()=0
| Whether a next attribute is available.
virtual const char * | Next ()=0
| Return the name of the next attribute.
virtual void | Reset ()=0
| Reset the iterator to the start.

## Detailed Description

Event attribute iterator.

Can be used to enumerate all attribute names an event possesses.

Definition at line 60 of file event.h.

## Member Function Documentation

virtual bool iEventAttributeIterator::HasNext | ( |  | ) | `[pure virtual]`

Whether a next attribute is available.

Implemented in csEventAttributeIterator.

virtual const char* iEventAttributeIterator::Next | ( |  | ) | `[pure virtual]`

Return the name of the next attribute.

Implemented in csEventAttributeIterator.

virtual void iEventAttributeIterator::Reset | ( |  | ) | `[pure virtual]`

Reset the iterator to the start.

Implemented in csEventAttributeIterator.

The documentation for this struct was generated from the following file:

- iutil/event.h